Module javafx.graphics
Package javafx.scene.shape

# Class VertexFormat

java.lang.Object
javafx.scene.shape.VertexFormat

public final class VertexFormat extends Object
Defines the format of the vertices in a mesh. A vertex consists of an array of points, normals (optional), and texture coordinates.

Since:
  JavaFX 8u40

## Field Summary

Fields
Modifier and Type
Field
Description
`static final VertexFormat`
`POINT_NORMAL_TEXCOORD`
Specifies the format of a vertex that consists of a point, normal and texture coordinates.
`static final VertexFormat`
`POINT_TEXCOORD`
Specifies the format of a vertex that consists of a point and texture coordinates.

## Method Summary

Modifier and Type
Method
Description
`int`
`getNormalIndexOffset()`
Returns the index offset in the face array of the normal component within a vertex.
`int`
`getPointIndexOffset()`
Returns the index offset in the face array of the point component within a vertex.
`int`
`getTexCoordIndexOffset()`
Returns the index offset in the face array of the texture coordinates component within a vertex.
`int`
`getVertexIndexSize()`
Returns the number of component indices that represents a vertex.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### POINT_TEXCOORD

public static final VertexFormat POINT_TEXCOORD
Specifies the format of a vertex that consists of a point and texture coordinates.

### POINT_NORMAL_TEXCOORD

public static final VertexFormat POINT_NORMAL_TEXCOORD
Specifies the format of a vertex that consists of a point, normal and texture coordinates.

## Method Details

### getVertexIndexSize

public int getVertexIndexSize()
Returns the number of component indices that represents a vertex. For example, a POINT_TEXCOORD vertex consists of 2 indices, one for point component and the other for texture coordinates component. Hence its value will be 2.

Returns:
  the number of component indices

### getPointIndexOffset

public int getPointIndexOffset()
Returns the index offset in the face array of the point component within a vertex.

Returns:
  the offset to the point component.

### getNormalIndexOffset

public int getNormalIndexOffset()
Returns the index offset in the face array of the normal component within a vertex.

Returns:
  the offset to the normal component.

### getTexCoordIndexOffset

public int getTexCoordIndexOffset()
Returns the index offset in the face array of the texture coordinates component within a vertex.

Returns:
  the offset to the texture coordinates component.

### toString

public String toString()

Overrides:
  `toString` in class `Object`